Cabal-2.0.1.0: A framework for packaging Haskell software

Safe Haskell | Safe
Language | Haskell2010

Distribution.Compat.Binary

Synopsis

- decodeOrFailIO :: Binary a => ByteString -> IO (Either String a)
- decodeFileOrFail' :: Binary a => FilePath -> IO (Either String a)
- module Data.Binary

# Documentation

decodeOrFailIO :: Binary a => ByteString -> IO (Either String a) #

decodeFileOrFail' :: Binary a => FilePath -> IO (Either String a) #

Lazily reconstruct a value previously written to a file.

module Data.Binary